dnl Autoconf macros for supporting Informix ESQL/C

dnl Determine correct value for INFORMIXDIR
AC_DEFUN([IX_ENV_INFORMIXDIR],
[
AC_MSG_CHECKING(for INFORMIXDIR)
ixd_specified=false
AC_ARG_WITH(informixdir,
[  --with-informixdir[=dir]	Where to find your Informix installation.],
[	INFORMIXDIR=${withval}
	ixd_specified=true
])

if test $ixd_specified = false
then
	INFORMIXDIR=$INFORMIXDIR
	if test "x$INFORMIXDIR" = x
	then INFORMIXDIR=/usr/informix
	fi
fi
if test -d "$INFORMIXDIR" ; then AC_MSG_RESULT($INFORMIXDIR)
else AC_MSG_ERROR(Unable to determine valid value for INFORMIXDIR)
fi
AC_SUBST(INFORMIXDIR)
AC_PREFIX_DEFAULT($INFORMIXDIR)
])

dnl zlib
AC_DEFUN([ZLIB_DIR],
[
zlib_specified=false
zlib_excluded=false


AC_ARG_WITH(zlib,
[  --with-zlib=[dir]      where to find zlib.
    --without-zlib        to disable zlib],
[
 if test "${withval}" != no
 then
   ZLIB_DIR2=${withval}
   if test "x${withval}" = x
   then
     zlib_specified=false
   else
     zlib_specified=true
   fi
   zlib_excluded=false
 else
   zlib_specified=true
   zlib_excluded=true
   ZLIB_DIR2="none"
 fi
 ]
)

if test "$zlib_specified" = false -a "$zlib_excluded" = false
then 
 ZLIB_DIR2=/usr/local
 if test ! -f "${ZLIB_DIR2}/include/zlib.h"
 then
        ZLIB_DIR2=/usr
 fi
fi
ZLIB_LIBPATH=""
ZLIB_INCLUDE=""
if test "$zlib_excluded" = false
then
  AC_COMPILE_IFELSE(
    [AC_LANG_SOURCE([[#include <zlib.h>
                      void foo(){}]])],
    [
     ZLIB_INCLUDE="yes"],
    [ZLIB_INCLUDE="no"]
  )
  if test "$ZLIB_INCLUDE" = no
  then
    saved_cppflags=$CPPFLAGS
    CPPFLAGS="$CPPFLAGS -I$ZLIB_DIR2/include"
    ZLIB_INCLUDE=""
    AC_COMPILE_IFELSE(
      [AC_LANG_SOURCE([[
         #include <zlib.h>
         void foo(){}]]
      )],
      [
       ZLIB_INCLUDE="-I$ZLIB_DIR2/include"],
      [ZLIB_DIR2=none
       AC_MSG_CHECKING(for zlib)
       AC_MSG_RESULT(no: zlib.h missing)]
    )
    CPPFLAGS=$saved_cppflags
  else
    ZLIB_INCLUDE=""
  fi
  if test "x$ZLIB_DIR2" != xnone
  then
    AC_CHECK_LIB([z], [gzopen],
                 [AC_DEFINE(HAVE_ZLIB,1,"Define to 1 if you have zlib library")
                  AC_SUBST(ZLIB_LIB, "-lz")
                  AC_SUBST(LOAD2GZ, load2gz.$ac_objext)
                  AC_SUBST(UNLOAD2GZ, unload2gz.$ac_objext)
                  HAVE_ZLIB=1
                  AC_MSG_CHECKING(for zlib)
                  AC_MSG_RESULT(yes)
                  ],[])
    if test "x$HAVE_ZLIB" = x
    then
      saved_libs="$LIBS"
      LIBS="$LIBS zdll.lib"
      AC_CHECK_FUNC(gzopen,
                 [AC_DEFINE(HAVE_ZLIB,1,"Define to 1 if you have zdll library")
                  AC_SUBST(ZLIB_LIB, "zdll.lib")
                  AC_SUBST(LOAD2GZ, load2gz.$ac_objext)
                  AC_SUBST(UNLOAD2GZ, unload2gz.$ac_objext)
                  HAVE_ZLIB=1
                  AC_MSG_CHECKING(for zdll)
                  AC_MSG_RESULT(yes)
                  ],[])
      LIBS="$saved_libs"
    fi
    if test "x$HAVE_ZLIB" = x
    then
      saved_libs="$LIBS"
      LIBS="$LIBS zlib.lib"
      AC_CHECK_FUNC(gzopen,
                 [AC_DEFINE(HAVE_ZLIB,1,"Define to 1 if you have zlib library")
                  AC_SUBST(ZLIB_LIB, "zlib.lib")
                  AC_SUBST(LOAD2GZ, load2gz.$ac_objext)
                  AC_SUBST(UNLOAD2GZ, unload2gz.$ac_objext)
                  HAVE_ZLIB=1
                  AC_MSG_CHECKING(for zlib)
                  AC_MSG_RESULT(yes)
                  ],[])
      LIBS="$saved_libs"
    fi

    if test "x$HAVE_ZLIB" = x
    then
#ac_cv_lib_z_gzopen
#ac_cv_func_gzopen
# I can't do same test again because of cache
      saved_ldflags=$LDFLAGS
      LDFLAGS="$LDFLAGS -L$ZLIB_DIR2/lib "
      AC_CHECK_LIB([z], [gzclose],
                   [AC_DEFINE(HAVE_ZLIB,1,"Define to 1 if you have zlib library")
                    AC_SUBST(ZLIB_LIB, "-lz")
                    AC_SUBST(LOAD2GZ, load2gz.$ac_objext)
                    AC_SUBST(UNLOAD2GZ, unload2gz.$ac_objext)
                    HAVE_ZLIB=1
                    AC_MSG_CHECKING(for zlib)
                    AC_MSG_RESULT(yes)
                    ZLIB_LIBPATH="-L$ZLIB_DIR2/lib"
                    ])
      if test "x$HAVE_ZLIB" = x
      then
        saved_libs="$LIBS"
        LIBS="$LIBS zdll.lib"
        AC_CHECK_FUNC(gzclose,
                   [AC_DEFINE(HAVE_ZLIB,1,"Define to 1 if you have zdll library")
                    AC_SUBST(ZLIB_LIB, "zdll.lib")
                    AC_SUBST(LOAD2GZ, load2gz.$ac_objext)
                    AC_SUBST(UNLOAD2GZ, unload2gz.$ac_objext)
                    HAVE_ZLIB=1
                    AC_MSG_CHECKING(for zdll)
                    AC_MSG_RESULT(yes)
                    ZLIB_LIBPATH="-L$ZLIB_DIR2/lib"
                    ]
                    [AC_MSG_CHECKING(for zdll)
                     AC_MSG_RESULT(no: missing zdll library)]
                    )
        LIBS="$saved_libs"
      fi
      if test "x$HAVE_ZLIB" = x
      then
        saved_libs="$LIBS"
        LIBS="$LIBS zlib.lib"
        AC_CHECK_FUNC(gzclose,
                   [AC_DEFINE(HAVE_ZLIB,1,"Define to 1 if you have zlib library")
                    AC_SUBST(ZLIB_LIB, "zlib.lib")
                    AC_SUBST(LOAD2GZ, load2gz.$ac_objext)
                    AC_SUBST(UNLOAD2GZ, unload2gz.$ac_objext)
                    HAVE_ZLIB=1
                    AC_MSG_CHECKING(for zlib)
                    AC_MSG_RESULT(yes)
                    ZLIB_LIBPATH="-L$ZLIB_DIR2/lib"
                    ]
                    [AC_MSG_CHECKING(for zlib)
                     AC_MSG_RESULT(no: missing zlib library)]
                    )
        LIBS="$saved_libs"
      fi
      LDFLAGS="$saved_ldflags"
    fi
  fi
else
  AC_MSG_CHECKING(for zlib)
  AC_MSG_RESULT(no: zlib explicitly excluded)
fi
AC_CONDITIONAL2(ZLIB, test "x$HAVE_ZLIB" != x)
CPPFLAGS="$ZLIB_INCLUDE $CPPFLAGS"
LDFLAGS="$ZLIB_LIBPATH $LDFLAGS"
AC_SUBST(ZLIB_INCLUDE)
])

dnl Determine ESQL/C compiler and version number, and whether there
dnl is support for CONNECT and IUS data types.
dnl Set ESQLC_COMMAND, ESQLC_VERSION, ESQLC_VERTEXT
AC_DEFUN([IX_PROG_ESQLC_VER],
[
AC_REQUIRE([IX_ENV_INFORMIXDIR])

AC_MSG_CHECKING(for ESQL/C compiler and version)

ESQLC_COMMAND=""
for esqlc in esql $INFORMIXDIR/bin/esql "$INFORMIXDIR\\bin\\esql"
do
	dnl Sample output from 'esql -V' prior to CSDK 2.80:
	dnl		INFORMIX-ESQL Version 7.24.UC5  
	dnl		Software Serial Number ACN#A287337
	dnl Sample output from 'esql -V' from CSDK 2.80:
	dnl		IBM Informix CSDK Version 2.80, IBM Informix-ESQL Version 9.52.UC1  
	dnl		Software Serial Number RDS#N000000
	dnl Sample output from 'esql -V' for CSDK 2.90 - note the retrograde
	dnl version number for ESQL/C.
	dnl		IBM Informix CSDK Version 2.90, IBM Informix-ESQL Version 2.90.UC3  
	dnl		Software Serial Number AAA#B000000
	dnl Using 'sed 1q' instead of 'sed -n 1p' generates error messages.
	dnl Note that you cannot easily use [0-9] notation in the sed scripts.
	if esql_output=`$esqlc -V 2>/dev/null | sed -n 1p`
	then
		esqlv=`echo "$esql_output" |
			   sed -e 's/.*-ESQL Version *//' \
				   -e 's/\\.//' -e 's/\\..*//' `
		if test "x$esqlv" = "x"
		then AC_MSG_ERROR(Version information from $esqlc not parsable)
		else
			AC_MSG_RESULT($esqlc (version $esqlv))
			ESQLC_COMMAND=$esqlc
			ESQLC_VERSION=$esqlv
			ESQLC_VERTEXT="$esql_output"
			break
		fi
	fi
done
if test x$ESQLC_COMMAND = x
then AC_MSG_ERROR(Could not find a valid ESQL/C compiler)
fi

AC_SUBST(ESQLC_COMMAND)
AC_SUBST(ESQLC_VERSION)
AC_SUBST(ESQLC_VERTEXT)
AC_DEFINE_UNQUOTED(ESQLC_VERSION, $ESQLC_VERSION, ESQL/C version number)
AC_DEFINE_UNQUOTED(ESQLC_VERTEXT, $ESQLC_VERTEXT, ESQL/C version string)

if test $ESQLC_VERSION -lt 921 && test $ESQLC_VERSION -gt 400
then AC_MSG_ERROR(CSDK version 2.30 or later required)
fi
])

dnl Determine ESQL/C header directory and set ESQLC_INCLDIR
AC_DEFUN([IX_PATH_ESQLINCL],
[
AC_REQUIRE([IX_ENV_INFORMIXDIR])

AC_MSG_CHECKING(for ESQL/C header directory)
ESQLC_INCLDIR=
case $host in
  *-*-msdos* | *-*-go32* | *-*-mingw32* | *-*-cygwin* | *-*-windows*)
    for esqli in "$INFORMIXDIR\\incl\\esql" "$INFORMIXDIR\\incl\\tools" "$INFORMIXDIR\\incl"
    do
	if test -d "$esqli"
	then ESQLC_INCLDIR=$esqli
		break;
	fi
    done
    ;;
  *)
    for esqli in $INFORMIXDIR/incl/esql $INFORMIXDIR/incl/tools $INFORMIXDIR/incl
    do
	if test -d "$esqli"
	then ESQLC_INCLDIR=$esqli
		break;
	fi
    done
    ;;
esac

if test "x$ESQLC_INCLDIR" = x
then AC_MSG_ERROR(Could not find a ESQL/C header directory)
else AC_MSG_RESULT($ESQLC_INCLDIR)
fi
case $host in
  *-*-msdos* | *-*-go32* | *-*-mingw32* | *-*-cygwin* | *-*-windows*)
    ESQLC_INCLDIR="\"${ESQLC_INCLDIR}\" "
    ;;
esac

AC_SUBST(ESQLC_INCLDIR)
])


dnl Determine Informix's library directories and set ESQLC_LIBDIRS
AC_DEFUN([IX_PATH_ESQLLIBDIR],
[
AC_REQUIRE([IX_ENV_INFORMIXDIR])
AC_REQUIRE([ZLIB_DIR])

AC_MSG_CHECKING(for Informix library directories)
ESQLC_LIBDIRS=""
case $host in
  *-*-msdos* | *-*-go32* | *-*-mingw32* | *-*-cygwin* | *-*-windows*)
    for esqll in "$INFORMIXDIR\\lib" "$INFORMIXDIR\\lib\\esql"
    do
	if test -d "$esqll"
	then
             ESQLC_LIBDIRS="$ESQLC_LIBDIRS $esqll"
	fi
    done
    ;;
  *)
    for esqll in "$INFORMIXDIR/lib" "$INFORMIXDIR/lib/esql"
    do
	if test -d "$esqll"
	then
             ESQLC_LIBDIRS="$ESQLC_LIBDIRS $esqll"
	fi
    done
    ;;
esac;
if test "x$ESQLC_LIBDIRS" = x
then AC_MSG_ERROR(Could not find any Informix's library)
else AC_MSG_RESULT($ESQLC_LIBDIRS)
fi

AC_SUBST(ESQLC_LIBDIRS)
])


dnl Determine ESQL/C flags and libraries
AC_DEFUN([IX_PROG_ESQLC],
[
AC_CANONICAL_SYSTEM

AC_REQUIRE([IX_PROG_ESQLC_VER])
AC_REQUIRE([IX_PATH_ESQLINCL])
AC_REQUIRE([IX_PATH_ESQLLIBDIR])

IFX_STATIC_FLAG=""
AC_ARG_ENABLE(staticifxlib,
              [  --enable-staticifxlib	link against static ifx libs],
 	      IFX_STATIC_LIB=1)
AC_ARG_ENABLE(sharedifxlib,
              [  --enable-sharedifxlib	link against shared ifx libs],
              IFX_SHARED_LIB=1)

esql_onepass="0"
AC_ARG_ENABLE(onepass,
              [  --enable-onepass	compile C with esql instead of CC],
	      esql_onepass=1)


if test x"$esql_onepass" = x1
then
  ONEPASS_SWITCH="-c"
  ONEPASS_FALSE="#"
else
  ONEPASS_SWITCH="-e"
  ONEPASS_FALSE=""
fi

AC_SUBST(ONEPASS_SWITCH)
AC_SUBST(ONEPASS_FALSE)

ESQLC_THREADLIB=""

ifxt_model=yes
AC_ARG_ENABLE(ifxthreads,
[  --disable-ifxthreads	disable ifx thread support
  --enable-ifxthreads[[=threadmodel]]	Thread model: nt, posix, dce, sol depending on the platform],
[	ifxt_model=${enableval}

])

if test "x$ifxt_model" = x
then
  ifxt_model="yes"
fi


if test "x$IFX_STATIC_LIB" != x || test "x$IFX_SHARED_LIB" != x
then
    AC_MSG_CHECKING(for static/shared Informix libraries)
fi
if test x"$WIN_CC" = xbcc32
then
    ESQL_FLAGS="$ESQL_FLAGS -bc"
fi
if test x$IFX_STATIC_LIB != x
then
  ESQL_FLAGS="-static"
  AC_MSG_RESULT(static)
else
  if test x$IFX_SHARED_LIB != x
  then
dnl    ESQL_FLAGS="-shared"
    AC_MSG_RESULT(shared)
  fi
fi

AC_EGREP_CPP2(_H_LOCALEDEF, [], loc_defined=1, loc_defined=0)
AC_EGREP_CPP2(typedef.*long.*int4, [], AC_DEFINE(INT4_FORMAT, "%ld","int4 printf format"), AC_DEFINE(INT4_FORMAT, "%d", "int4 printf format"))

AC_MSG_CHECKING(for Informix's platform specific flags)
case "$host_os" in
aix*)
        if test "x$loc_defined" = x1
        then
          AC_MSG_RESULT(none)
        else
          AC_MSG_RESULT([AIX: use -D_H_LOCALEDEF workaround])
          ESQL_FLAGS="$ESQL_FLAGS -ED_H_LOCALEDEF=1"
          CFLAGS="$CFLAGS -D_H_LOCALEDEF=1"
        fi

        ;;
*)
	AC_MSG_RESULT(none)
	;;
esac


AC_OBJEXT
CFLAGS2="$CFLAGS"
LDFLAGS2="$LDFLAGS"
LDFLAGSDLL="$LDFLAGS"
CPPFLAGS2="$CPPFLAGS"
OUT_O="-o "
OUT_EXE="-o "
OUT_DLL="-o "
CC_ONLY="-c"
IMPGEN=""
case $OBJEXT in
  obj) LIBEXT2="lib"
       ;;
  *) LIBEXT2="a"
       ;;
esac

AC_LANG_CONFTEST(
  [AC_LANG_SOURCE([[void foo(){}]])])
mv conftest.c conftest.ec
$ESQLC_COMMAND -e conftest.ec
if test -f conftest.c_
then
  RMC_='-@rm $$**.c $$**.c_*'
else
  RMC_='-@rm $$**.c'
fi
AC_SUBST(RMC_)
rm -f conftest.*

AR_S="ar cq"
case $host in
  *-*-msdos* | *-*-go32* | *-*-mingw32* | *-*-cygwin* | *-*-windows*)
    AC_CONDITIONAL2(NT, true)
    AC_DEFINE(NT,1,Is it Win32?)
    AC_CONDITIONAL2(GCC, test "x$WIN_CC" = xgcc )
    AC_CONDITIONAL2(MSVC, test "x$WIN_CC" = xcl )
    LDFLAGSDLL=""
    case $WIN_CC in
      cl) CFLAGS2="$CLFAGS2 /W3 /D_X86_ /D_CONSOLE /MD /DWIN32 /D_CRT_SECURE_NO_WARNINGS /D_CRT_NONSTDC_NO_WARNINGS"
          LDFLAGS2="$LDFLAGS2 /MD "
          LDFLAGSDLL="$LDFLAGSDLL /LD /MD "
          OUT_O="/Fo"
          OUT_EXE="/Fe"
          OUT_DLL="/Fe"
          CC_ONLY="/c"
          AC_SUBST(LOAD_LIB_DLL, load2.dll)
          ;;
      bcc32)
          CFLAGS2=`echo $CFLAGS | sed -e 's/-g /-v /' -e 's/-g$/-v/'`
          CFLAGS2="$CFLAGS2 -w-pro -D_RTLDLL -tWM " 
          OUT_O="-o"
          OUT_EXE="-e"
          OUT_DLL="-e"
          CC_ONLY="-c"
          LDFLAGS2="$LDFLAGS2 -tWM -tWC "
          LDFLAGSDLL="$LDFLAGSDLL -tWM -tWC -tWD "
          ;;
      gcc)
          IMPGEN="impgen.exe"
          CFLAGS2="$CFLAGS2 -Wall"
dnl          LDFLAGSDLL="-shared -Wl,--out-implib $*.a,--out-impdef $*.def"
          AC_SUBST(LOAD_LIB_DLL, load2.dll)
          ;;
      *)
          ;;
    esac
    SHARED_LIB=libload2.dll
    AC_SUBST(SHARED_LIB)
    AC_SUBST(LDFLAGSDLL)
    AC_SUBST(OUT_O)
    AC_SUBST(OUT_EXE)
    AC_SUBST(CC_ONLY)
    AC_SUBST(LIBEXT2)
    AC_SUBST(CFLAGS2)
    AC_SUBST(LDFLAGS2)
    AC_SUBST(CPPFLAGS2)
    AC_SUBST(OUT_DLL)
    AC_SUBST(IMPGEN)
    CC2=$WIN_CC
    ;;
  *)
    LDFLAGSDLL="-shared $LDFLAGSDLL"
    AC_CONDITIONAL2(NT, false)
    
    AC_SUBST(AR_S)
    AC_SUBST(SHARED_LIB)
    AC_SUBST(STATIC_LIB)
    AC_CONDITIONAL2(STATIC_LIB2,test "x$STATIC_LIB2" = xtrue)
    AC_SUBST(STATIC_LIB2)
    AC_SUBST(LDFLAGSDLL)
    CC2=$CC
    ;;
esac
#PURGE_C_FILES=`echo src/*.ec | sed 's/\.ec/\.c/g' `
PURGE_C_FILES=`echo src/*.ec | sed 's/\.ec/\.c/g' | sed 's/src\///g' `
AC_SUBST(PURGE_C_FILES)

IFX_LIBADD=""
case $host in
  *-*-msdos* | *-*-go32* | *-*-mingw32* | *-*-cygwin* | *-*-windows*)
    ;;
  *)
    for esqll in "$INFORMIXDIR/lib" "$INFORMIXDIR/lib/esql"
    do
      if test -d $esqll
      then 
        IFX_LIBADD="$IFX_LIBADD -L$esqll"
      fi
    done
    ;;
esac


AC_SUBST(CC2)
AC_MSG_CHECKING(ESQL thread support)
if test "x$ifxt_model" != xno
then
  case $host in
    *-*-msdos* | *-*-go32* | *-*-mingw32* | *-*-cygwin* | *-*-windows*)
      ESQLC_THREADLIB=NT
      ;;
    *)
      if test "x$ifxt_model" = xyes
      then
        ESQLC_THREADLIB=""
        AC_LANG_CONFTEST(
        [AC_LANG_SOURCE([[main(){ exec sql database woo;}]])])
        mv conftest.c conftest.ec
        saved_cflags=$CFLAGS
        rm conftest 2>/dev/null
        for esqlthread in POSIX DCE SOL ; do
          IFX_LIBS=`THREADLIB=$esqlthread $ESQLC_COMMAND -thread $ESQL_FLAGS -libs`
          echo $IFX_LIBS >&5
          THREADLIB=$esqlthread $ESQLC_COMMAND -thread $ESQL_FLAGS -e conftest.ec 2>/dev/null >/dev/null
          test1="THREADLIB=$esqlthread $ESQLC_COMMAND -thread $ESQL_FLAGS -e conftest.ec"
          echo $test1 >&5
          THREADLIB=$esqlthread $CC2 $CPPFLAGS $CFLAGS -I$ESQLC_INCLDIR conftest.c $IFX_LIBADD $IFX_LIBS -o conftest 2>/dev/null
          test1="THREADLIB=$esqlthread $CC2 $CPPFLAGS $CFLAGS -I$ESQLC_INCLDIR conftest.c $IFX_LIBADD $IFX_LIBS -o conftest"
          echo $test1 >&5
          rm conftest.c 2>/dev/null
          if test -f conftest
          then
            ESQLC_THREADLIB=$esqlthread
            break;
          fi
        done
        rm conftest 2>/dev/null
      else
        IFX_LIBS=`THREADLIB=$ifxt_model $ESQLC_COMMAND -thread $ESQL_FLAGS -libs`
        IFX_LIBS=`echo $IFX_LIBS | grep THREADLIB`
        if test "x$IFX_LIBS" = x
        then
          ESQLC_THREADLIB=$ifxt_model
          break;
        fi
      fi
      ;;
  esac
fi
  if test x$ESQLC_THREADLIB = x
  then
    AC_MSG_RESULT(no thread support)
    IFX_LIBS=`$ESQLC_COMMAND $ESQL_FLAGS -libs`
    ESQLC_COMMAND2="$ESQLC_COMMAND"
    IFX_THREAD=0
    THREDLIB=0
    ESQLC_THREADLIB="none"
  else
    AC_MSG_RESULT($ESQLC_THREADLIB)
    IFX_THREAD=1
    THREDLIB=$ESQLC_THREADLIB
dnl    ESQL_FLAGS="$ESQL_FLAGS -thread -ED_REENTRANT -EDIFX_THREAD"
dnl -ED not necessary: '-thread' is enough
    ESQL_FLAGS="$ESQL_FLAGS -thread"
    AC_DEFINE(_REENTRANT,1,must be defined for Informix's multithreaded C code)
    CFLAGS2="$CFLAGS2 -D_REENTRANT -DIFX_THREAD"
    if test "x$ESQLC_THREADLIB" = xNT
    then
      ESQLC_COMMAND2="$ESQLC_COMMAND"
      IFX_LIBS=`$ESQLC_COMMAND $ESQL_FLAGS -libs`
    else
      ESQLC_COMMAND2="THREADLIB=$ESQLC_THREADLIB $ESQLC_COMMAND"
      IFX_LIBS=`THREADLIB=$ESQLC_THREADLIB $ESQLC_COMMAND $ESQL_FLAGS -libs`
    fi
  fi
  if test "x$ONEPASS_SWITCH" = "x-c"
  then
    case $host in
      *-*-msdos* | *-*-go32* | *-*-mingw32* | *-*-cygwin* | *-*-windows*)
        
        ;;
      *)
        case "x$CC" in
          xcc | x)
            ;;
          *)
            ESQLC_COMMAND2="INFORMIXC=$CC $ESQLC_COMMAND2"
            ;;
        esac
    esac
  fi
  IFX_LIBS=`echo $IFX_LIBS | sed -e 's/Libraries to be used://g' -e 's/esql: error -55923: No source or object file\.//g'`
  AC_DEFINE_UNQUOTED(IFX_THREAD, $IFX_THREAD, must be defined for Informix's multithreaded C code)
  AC_DEFINE_UNQUOTED(THREADLIB, $ESQLC_THREADLIB, Informix threading model)
  ixlibpath=""
  ixlibnames=""
  IFX_DLLS=""

  for i in $IFX_LIBS; do
    case $host in
        *-*-msdos* | *-*-go32* | *-*-mingw32* | *-*-cygwin* | *-*-windows*)
        i=`echo $i|sed 's/^\"//g;s/\"$//g' `
        
        case "$WIN_CC" in
          gcc)
            case $i in
              netapi32.lib | wsock32.lib | user32.lib | winmm.lib | advapi32.lib | gdi32.lib | comdlg32.lib | winspool.lib)
                continue
                ;;
            esac
            ;;
        esac
        j="\"${i}\" "
        ;;
      *)
        j="$i"
    esac
    case "$i" in
      *.$OBJEXT)
        IFX_LIBOBJS="${IFX_LIBOBJS} $j"
        ;;
      -l*)
        lib=`echo $i | cut -c 3-`
        IFX_LIBADD="$IFX_LIBADD $i"
        ;;
      *.a )
        ac_dir="`echo $i|sed 's/[[^\/]]*$//;s/\/$//'`"
        ac_lib="`echo $i|sed 's/^\/.*\/lib//g;s/\.a//g'`"
	IFX_LIBADD="$IFX_LIBADD $i"
        ;;
      *.lib )
        case $host in
          *-*-msdos* | *-*-go32* | *-*-mingw32* | *-*-cygwin* | *-*-windows*)   
          ac_dir=`echo $i|sed 's/[[^\/]]*$//;s/\/$//'`
          ac_lib=`echo $i|sed 's/^.*\\\//g;s/\.lib//g'`
          
          if test -f "$INFORMIXDIR\\bin\\${ac_lib}.dll"
          then
            case $WIN_CC in
              gcc)
                  IFX_LIBADD="$IFX_LIBADD \"$INFORMIXDIR\\bin\\${ac_lib}.dll\" "
                  ;;
              lc)
                  eval "implib \"$INFORMIXDIR\\bin\\${ac_lib}.dll\" > ${ac_lib}.log"
                  eval "mv  \"$INFORMIXDIR\\bin\\${ac_lib}.lib\" ${ac_lib}.lib"
                  IFX_LIBADD="$IFX_LIBADD ${ac_lib}.lib"
                  ;;
              *)
                  IFX_LIBADD="$IFX_LIBADD $j"
                  ;;
            esac
          else
            IFX_LIBADD="$IFX_LIBADD $j"
          fi
          ;;
        *)
          ac_dir="`echo $i|sed 's/[[^\/]]*$//;s/\/$//'`"
          ac_lib="`echo $i|sed 's/^.*\///g;s/\.lib//g'`"
          IFX_LIBADD="$IFX_LIBADD $j"
          ;;
        esac
        ;;
    esac
  done
AC_PROG_AWK  
AC_SUBST(ESQL_FLAGS)
AC_SUBST(IFX_LIBOBJS)
AC_SUBST(IFX_DLLS)
AC_SUBST(IFX_LIBADD)
AC_SUBST(ESQLC_COMMAND2)
AC_SUBST(IFX_STATIC_FLAG)
LIBS="$LIBS $IFX_LIBOBJS $IFX_LIBADD "

case $host in
  *-*-msdos* | *-*-go32* | *-*-mingw32* | *-*-cygwin* | *-*-windows*)
    ;;
  *)
    AC_MSG_CHECKING(support for creating shared libraries)
    STATIC_LIB2="false"
    rm -rf conftest.*
    AC_LANG_CONFTEST(
    [AC_LANG_SOURCE([[void foo(){ exec sql database woo;}]])])
    mv conftest.c conftest.ec
    saved_cflags=$CFLAGS
    CFLAGS="-shared $CFLAGS"
    $ESQLC_COMMAND -e conftest.ec
    $CC2 $CPPFLAGS $CFLAGS -I$ESQLC_INCLDIR conftest.c -o conftest.so

    if test -f conftest.so
    then
      SHARED_LIB=libload2.so
      AC_SUBST(LOAD_LIB_DLL, libload2.so)
      AC_MSG_RESULT(yes)
      AC_CONDITIONAL2(SHARED_LIB,true)
      STATIC_LIB2="true"
    else
      SHARED_LIB=libload2.a
      AC_SUBST(LOAD_LIB_DLL, libload2.a)
      AC_MSG_RESULT(no)
      AC_CONDITIONAL2(SHARED_LIB,false)
    fi
    CFLAGS=$saved_cflags
    rm -rf conftest.*
    AC_LANG_CONFTEST(
      [AC_LANG_SOURCE([[void foo(){}]])])
    $CC -c conftest.c
    ar cq conftest.a conftest.o
    if test -f conftest.a
    then
      AC_CONDITIONAL2(STATIC_LIB,true)
      STATIC_LIB2="true"
    else
      AC_CONDITIONAL2(STATIC_LIB,false)
    fi
    rm conftest.a
    ar cq conftest.a conftest.o
    if test -f conftest.a
    then
      AR_S="ar cqs"
    else
      AR_S="ar cq"
    fi
    rm conftest.a
    rm -rf conftest.* conftest2*
    AC_PROG_RANLIB
  ;;
esac
AC_SUBST(AR_S)
AC_SUBST(SHARED_LIB)
AC_SUBST(STATIC_LIB)
AC_CONDITIONAL2(STATIC_LIB2,test "x$STATIC_LIB2" = xtrue)
AC_SUBST(STATIC_LIB2)
AC_SUBST(LDFLAGSDLL)

])

AC_DEFUN([AC_CONDITIONAL2],
[AC_SUBST($1_TRUE)
AC_SUBST($1_FALSE)
if $2; then
  $1_TRUE=
  $1_FALSE='#'
else
  $1_TRUE='#'
  $1_FALSE=
fi]) 

dnl AC_EGREP_ESQL
# AC_EGREP_CPP2(PATTERN, PROGRAM,
#              [ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])
# ------------------------------------------------------
# Because this macro is used by AC_PROG_GCC_TRADITIONAL, which must
# come early, it is not included in AC_BEFORE checks.
AC_DEFUN([AC_EGREP_CPP2],
[AC_LANG_PREPROC_REQUIRE()dnl
AC_REQUIRE([AC_PROG_EGREP])dnl
AC_LANG_CONFTEST([AC_LANG_SOURCE([[$2]])])
dnl eval is necessary to expand ac_cpp.
dnl Ultrix and Pyramid sh refuse to redirect output of eval, so use subshell.
eval "mv conftest.$ac_ext conftest.ec"
eval "$ESQLC_COMMAND -e conftest.ec" 2>&AS_MESSAGE_LOG_FD

if (eval "$ac_cpp -I$ESQLC_INCLDIR conftest.c") 2>&AS_MESSAGE_LOG_FD |
dnl Quote $1 to prevent m4 from eating character classes
  $EGREP "[$1]" >/dev/null 2>&1; then
  m4_default([$3], :)
m4_ifvaln([$4], [else
  $4])dnl
fi
rm -f conftest*
])# AC_EGREP_CPP


