/*
 * jETeL/CloverETL - Java based ETL application framework.
 * Copyright (c) Javlin, a.s. (info@cloveretl.com)
 *  
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.jetel.graph;

import java.util.ArrayList;
import java.util.List;

/**
 * This object represents set of input and output ports of a subgraph with relating settings.
 * 
 * @author Kokon (info@cloveretl.com)
 *         (c) Javlin, a.s. (www.cloveretl.com)
 *
 * @created 2. 12. 2014
 */
public class SubgraphPorts {

	private TransformationGraph graph;
	
	private List<SubgraphPort> ports;
	
	public SubgraphPorts(TransformationGraph graph) {
		this.graph = graph;
		ports = new ArrayList<>();
	}
	
	public List<SubgraphPort> getPorts() {
		return ports;
	}

	public boolean hasPort(int index) {
		return index >= 0 && index < ports.size();
	}
	
	/**
	 * @return related graph
	 */
	public TransformationGraph getGraph() {
		return graph;
	}
	
}
